curl --request DELETE \
--url https://api.exowpee.com/v1/iam/access-grant-organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/iam/access-grant-organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/iam/access-grant-organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/iam/access-grant-organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/iam/access-grant-organizations"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.exowpee.com/v1/iam/access-grant-organizations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/iam/access-grant-organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Revoke accounting access
Removes a member or agent account access to chosen companies or the organization accounting.
curl --request DELETE \
--url https://api.exowpee.com/v1/iam/access-grant-organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/iam/access-grant-organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/iam/access-grant-organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/iam/access-grant-organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/iam/access-grant-organizations"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.exowpee.com/v1/iam/access-grant-organizations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/iam/access-grant-organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}access_grants.delete
Conditions
- Only members can use it, from the organization space; agent accounts cannot.
- Every listed target must currently be granted to that actor in that domain; otherwise the call is refused (error on the target index) and nothing is revoked.
- The listed grants are deleted; the actor immediately loses access to the accounting books of those targets, and the grant can be created again.
- Nothing else is changed: the person or agent account keeps its profile and other grants.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Kind of actor losing access: user_profile (a person's profile assignment in the organization) or organization_agent. Required.
user_profile, organization_agent Identifier of the actor (27-character KSUID string). Required; it must be an actor of the current organization.
Domain of the grants to revoke. Required; only accounting exists today.
accounting Targets to revoke, as a list of objects with type (organization or company) and id (27-character KSUID string), sent in the query string like targets[0][type]=company&targets[0][id]=.... Required, from 1 to 100 entries without duplicate ids; each must currently be granted.
Show child attributes
Show child attributes
Response mode. Default none; none answers 204 No Content.
none Response
No Content (response mode none).